/* function declaration */


/* numa.c */
int init_numa( int, int, MPI_Comm *, map_t *);
int shutdown_numa( int, int, MPI_Comm *, map_t *);

/* init.c */

void init(int i);
void op_filename();
void read_parameter_file(char *);
void fileName(char datapath[900], char file[30]);
void readMetaData(char fileLocal[1000]);
void metaData_calculation();
void allocate_memory();
void readData();


/*  gridding.c */

void gridding();
void initialize_array();
void gridding_data();
void write_grided_data();


/* fourier_transform.c */

void fftw_data();
void write_fftw_data();
void write_result();
